<?php

namespace App\Classes\Modules\Addresses\Services;

use App\Classes\General\Eloquent\AbstractUpdateRecord;
use App\Models\Address;

class ResetsAddressesDefault extends AbstractUpdateRecord
{

    /**
     * @param Address $address
     * @return void
     */
    public function execute(Address $address)
    {
        $address->company->addresses()->update(['billing' => false]);
    }
}
